Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Class DefaultPortalColumnInformation

    java.lang.Object
      |
      +--com.beasys.portal.ejb.DefaultPortalColumnInformation

public class DefaultPortalColumnInformation
extends java.lang.Object
implements PortalColumnInformation, java.io.Serializable

Default implementation of the PortalColumnInformation.

See Also:
  Serialized Form

Constructor Summary
`DefaultPortalColumnInformation()` Default constructor.
`DefaultPortalColumnInformation(java.lang.String aPortalName, java.lang.String aCategoryName, int aColumnWidth, int aColumnOrder)` Default portal column information.

Method Summary
`java.lang.String` | `getCategoryName()` Get category name.
`int` | `getColumnOrder()` Get column order.
`int` | `getColumnWidth()` Get column width.
`java.lang.String` | `getPortalName()` Get portal name.
`void` | `setCategoryName(java.lang.String aCategoryName)` Set category name.
`void` | `setColumnOrder(int anOrder)` Set column order.
`void` | `setColumnWidth(int aWidth)` Set column width.
`void` | `setPortalName(java.lang.String aPortalName)` Set portal name.
`java.lang.String` | `toString()` String representation of the instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultPortalColumnInformation

    public DefaultPortalColumnInformation()

  Default constructor.

### DefaultPortalColumnInformation

    public DefaultPortalColumnInformation(java.lang.String aPortalName,
                                          java.lang.String aCategoryName,
                                          int aColumnWidth,
                                          int aColumnOrder)

  Default portal column information.
  Parameters:
    `aPortalName` - the portal name.
    `aCategoryName` - the category.
    `aColumnWidth` - the column width.
    `aColumnOrder` - the column order.

Method Detail

### getPortalName

    public java.lang.String getPortalName()

  Get portal name.
  Specified by:
    getPortalName in interface PortalColumnInformation
  Returns:
    `String` the portal name.

### setPortalName

    public void setPortalName(java.lang.String aPortalName)

  Set portal name.
  Specified by:
    setPortalName in interface PortalColumnInformation
  Parameters:
    `aPortalName` - the portal name.

### getCategoryName

    public java.lang.String getCategoryName()

  Get category name.
  Specified by:
    getCategoryName in interface PortalColumnInformation
  Returns:
    `String` the category name.

### setCategoryName

    public void setCategoryName(java.lang.String aCategoryName)

  Set category name.
  Specified by:
    setCategoryName in interface PortalColumnInformation
  Parameters:
    `aCategoryName` - the category name.

### getColumnWidth

    public int getColumnWidth()

  Get column width.
  Specified by:
    getColumnWidth in interface PortalColumnInformation
  Returns:
    `int` the column width.

### setColumnWidth

    public void setColumnWidth(int aWidth)

  Set column width.
  Specified by:
    setColumnWidth in interface PortalColumnInformation
  Parameters:
    `aWidth` - the column width.

### getColumnOrder

    public int getColumnOrder()

  Get column order.
  Specified by:
    getColumnOrder in interface PortalColumnInformation
  Returns:
    `int` the column order.

### setColumnOrder

    public void setColumnOrder(int anOrder)

  Set column order.
  Specified by:
    setColumnOrder in interface PortalColumnInformation
  Parameters:
    `anOrder` - the column order.

### toString

    public java.lang.String toString()

  String representation of the instance.
  Overrides:
    toString in class java.lang.Object
  Returns:
    `String` the string representation.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved